Skip to main content
POST
/
{vin}
/
invitations
Create an Invitation
curl --request POST \
  --url https://api.tessie.com/{vin}/invitations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tessie.com/{vin}/invitations"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tessie.com/{vin}/invitations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": {
    "id": 2252275396890299,
    "owner_id": 1311857,
    "share_user_id": null,
    "product_id": "7SAXCBE6XPF123456",
    "state": "pending",
    "code": "dgIPJtGS_CnIprYz0yy1dDvduRl0mQBYEwA-u_Fsc_5w",
    "expires_at": "2023-11-29T01:53:09.000Z",
    "revoked_at": null,
    "borrowing_device_id": null,
    "key_id": null,
    "product_type": "vehicle",
    "share_type": "customer",
    "active_pubkeys": [
      null
    ],
    "id_s": "2252275396890299",
    "owner_id_s": "1311857",
    "share_user_id_s": "",
    "borrowing_key_hash": null,
    "vin": "7SAXCBE6XPF123456",
    "share_link": "https://www.tesla.com/_rs/1/dgIPJtGS_CnIprYz0yy1dDvduRl0mQBYEwA-u_Fsc_5w"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vin
string
required

The associated VIN.

Response

200 - application/json

OK

result
object